> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Search Custom Dimensions by Name

> Search for tags by exact name match in a single request. Supports upsert to create missing tags.



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json post /coa/api/tag/bulk-search
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/tag/bulk-search:
    post:
      tags:
        - Core Accounting
      summary: Bulk Search Custom Dimensions by Name
      description: >-
        Search for tags by exact name match in a single request. Supports upsert
        to create missing tags.
      operationId: coa_api_tag_bulk_search_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkTagSearch'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/BulkTagSearch'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/BulkTagSearch'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TransactionTag'
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    BulkTagSearch:
      type: object
      properties:
        tags:
          type: array
          items:
            $ref: '#/components/schemas/BulkTag'
        upsert:
          type: boolean
          default: false
          description: If true, create tags that don't exist
      required:
        - tags
    TransactionTag:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        group_name:
          type: string
          readOnly: true
        parent_name:
          type: string
          readOnly: true
          nullable: true
        parent:
          type: integer
          nullable: true
        is_deleted:
          type: boolean
          readOnly: true
          default: false
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        is_active:
          type: boolean
          default: true
        name:
          type: string
          nullable: true
          maxLength: 250
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        customer:
          type: integer
          readOnly: true
        group:
          type: integer
          nullable: true
      required:
        - created_at
        - customer
        - deleted_at
        - group_name
        - id
        - is_deleted
        - last_modified_at
        - name
        - parent_name
    BulkTag:
      type: object
      properties:
        name:
          type: string
      required:
        - name
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````